> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Prompt Templates

> List all prompt templates.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/prompt-templates
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/prompt-templates:
    get:
      tags:
        - Prompt Templates
      summary: List Prompt Templates
      description: List all prompt templates.
      operationId: core_api_v1_controllers_prompt_templates_list_prompt_templates
      parameters:
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PromptTemplateListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    PromptTemplateListOut:
      description: Paginated list response for prompt templates.
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/PromptTemplateOut'
          title: Data
          type: array
        has_more:
          title: Has More
          type: boolean
        total:
          title: Total
          type: integer
      required:
        - data
        - has_more
        - total
      title: PromptTemplateListOut
      type: object
    PromptTemplateOut:
      description: Response schema for prompt templates.
      properties:
        object:
          default: prompt_template
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        prompt_default:
          title: Prompt Default
          type: string
        prompt_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Type
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
      required:
        - id
        - name
        - prompt_default
      title: PromptTemplateOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````